package com.ruoyi.tjfx.service;

import com.ruoyi.tjfx.common.ApiResponse;
import com.ruoyi.tjfx.common.PageResponse;
import com.ruoyi.tjfx.entity.BaseData;
import com.ruoyi.tjfx.entity.BaseDataVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface BaseDataService {
    List<BaseData> listAll();
    BaseData getById(Long id);
    void add(BaseData baseData);
    void update(Long id, BaseData baseData);
    void delete(Long id);
    void deleteBatch(List<Long> ids);
    // 分页查询
    PageResponse<BaseDataVO> getPage(Integer page, Integer pageSize, String productCode, String productName, Long categoryId);

    void importExcel(MultipartFile file, Long categoryId);

    void exportExcel(Long categoryId, HttpServletResponse response);

}
